> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onera.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Us Filings



## OpenAPI

````yaml /openapi.json get /us/filings
openapi: 3.1.0
info:
  title: Corpus API
  description: >-
    Point-in-time financial and governed-document data for the US, India, and
    China.
  version: '2026-07-20'
servers:
  - url: https://corpus-api.onera.app
    description: Production
security: []
paths:
  /us/filings:
    get:
      tags:
        - US · SEC Filings
      summary: Us Filings
      operationId: us_filings_us_filings_get
      parameters:
        - name: ticker
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Ticker
        - name: cik
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cik
        - name: accession_number
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Accession Number
        - name: filing_type
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Filing Type
        - name: filing_date_start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Filing Date Start
        - name: filing_date_end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Filing Date End
        - name: report_date_start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Report Date Start
        - name: report_date_end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Report Date End
        - name: as_of
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: As Of
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/USFilingsResponse'
        '400':
          description: Invalid parameter combination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient jurisdiction or scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request schema validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Source content is unavailable or still processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - X-API-KEY: []
components:
  schemas:
    USFilingsResponse:
      properties:
        filings:
          items:
            $ref: '#/components/schemas/USFiling'
          type: array
          title: Filings
        meta:
          $ref: '#/components/schemas/Meta'
      type: object
      required:
        - filings
        - meta
      title: USFilingsResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - error
        - message
      title: ErrorResponse
    USFiling:
      properties:
        cik:
          type: string
          title: Cik
        accession_number:
          type: string
          title: Accession Number
        filing_type:
          type: string
          title: Filing Type
        report_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Report Date
        filing_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Filing Date
        filing_datetime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Filing Datetime
        ticker:
          anyOf:
            - type: string
            - type: 'null'
          title: Ticker
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        registrants:
          items:
            $ref: '#/components/schemas/FilingRegistrant'
          type: array
          title: Registrants
        is_xbrl:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Xbrl
        content_status:
          type: string
          enum:
            - pending
            - available
            - not_provided
            - unsupported
            - permanent_source_error
          title: Content Status
          default: pending
      type: object
      required:
        - cik
        - accession_number
        - filing_type
        - registrants
      title: USFiling
    Meta:
      properties:
        jurisdiction:
          anyOf:
            - type: string
              enum:
                - US
                - IN
                - CN
            - type: 'null'
          title: Jurisdiction
        count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Count
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Offset
        next_offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Offset
        as_of:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: As Of
        normalization_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Normalization Version
        provenance:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Provenance
      type: object
      title: Meta
    FilingRegistrant:
      properties:
        cik:
          type: string
          title: Cik
        ticker:
          anyOf:
            - type: string
            - type: 'null'
          title: Ticker
        primary_document_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Document Url
      type: object
      required:
        - cik
      title: FilingRegistrant
  securitySchemes:
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Provisioned Corpus API key with the required jurisdiction and operation
        scopes.

````